## GtkLayoutChild GtkLayoutChild — An object containing layout properties |

## Functions

GtkLayoutManager * | gtk_layout_child_get_layout_manager ()
GtkWidget * | gtk_layout_child_get_child_widget ()

## Properties

GtkWidget * | child-widget | Read / Write / Construct Only
GtkLayoutManager * | layout-manager | Read / Write / Construct Only

## Types and Values

| GtkLayoutChild
struct | GtkLayoutChildClass

## Object Hierarchy

        GObject
        ╰── GtkLayoutChild
            ├── GtkGridLayoutChild
            ├── GtkConstraintLayoutChild
            ╰── GtkFixedLayoutChild

## Includes

    #include <gtk/gtk.h>

## Description

GtkLayoutChild is the base class for objects that are meant to hold layout properties. If a GtkLayoutManager has per-child properties, like their packing type, or the horizontal and vertical span, or the icon name, then the layout manager should use a GtkLayoutChild implementation to store those properties.

A GtkLayoutChild instance is only ever valid while a widget is part of a layout.

## Functions

### gtk_layout_child_get_layout_manager ()

    GtkLayoutManager *
    gtk_layout_child_get_layout_manager (GtkLayoutChild *layout_child);

Retrieves the GtkLayoutManager instance that created the given `layout_child` .

#### Parameters

layout_child | a GtkLayoutChild |

#### Returns

a GtkLayoutManager.

[transfer none]

### gtk_layout_child_get_child_widget ()

    GtkWidget *
    gtk_layout_child_get_child_widget (GtkLayoutChild *layout_child);

Retrieves the GtkWidget associated to the given `layout_child` .

#### Parameters

layout_child | a GtkLayoutChild |

#### Returns

a GtkWidget.

[transfer none]

## Types and Values

### GtkLayoutChild

    typedef struct _GtkLayoutChild GtkLayoutChild;

### struct GtkLayoutChildClass

    struct GtkLayoutChildClass {
    };

## Property Details

### The `“child-widget”` property

      “child-widget”             GtkWidget *

The widget that is associated to the GtkLayoutChild instance.

Owner: GtkLayoutChild

Flags: Read / Write / Construct Only

### The `“layout-manager”` property

      “layout-manager”           GtkLayoutManager *

The layout manager that created the GtkLayoutChild instance.

Owner: GtkLayoutChild

Flags: Read / Write / Construct Only